Attribute VB_Name = "Module2"
Rem *********************************************************************
Rem * This module contains the declarations necessary to use, in Visual *
Rem * Basic, the routines included in the PMCADLL.DLL library.  These   *
Rem * subroutines are documented elsewhere.                             *
Rem *********************************************************************

Dim Group As Long
Dim PresetAcquisitionTime As Long
Dim PresetThreshold As Long
Dim ComPort As Long

Declare Function PmcaPowerUp _
Lib "PmcaDll.dll" (ByVal port As Long) As Long

Declare Function PmcaTerminateCom _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaConnect _
Lib "PmcaDll.dll" ( _
    ByVal port As Long, _
    ByVal baudRate As Long, _
    ByVal device As Byte) As Long
    
Declare Function PmcaDisconnect _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSetGain _
Lib "PmcaDll.dll" (ByVal Gain As Long) As Long

Declare Function PmcaGetGain _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaClearDataAndTime _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSelectRealTimer _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSelectLiveTimer _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaWait _
Lib "PmcaDll.dll" (ByVal wait As Long) As Long

Declare Function PmcaSetGroup _
Lib "PmcaDll.dll" (ByVal Group As Long) As Long

Declare Function PmcaGetGroup _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaStartAcquisition _
Lib "PmcaDll.dll" (ByVal SetTime As Long) As Long

Declare Function PmcaStopAcquisition _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSetAcquisitionTime _
Lib "PmcaDll.dll" (ByVal AcqTime As Long) As Long

Declare Function PmcaGetLiveTime _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaGetRealTime _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaGetData _
Lib "PmcaDll.dll" (ByRef buffer As Long, _
  ByVal channel As Long, ByVal Count As Long) As Long
  
Declare Function PmcaGetDateAndTime _
Lib "PmcaDll.dll" (ByVal dateTime As String) As Long

Declare Function PmcaSetThreshold _
Lib "PmcaDll.dll" (ByVal Thresh As Long) As Long

Declare Function PmcaGetStatus _
Lib "PmcaDll.dll" (ByRef Status As Long) As Long

Declare Function PmcaGetFlags _
Lib "PmcaDll.dll" (ByRef Flags As Long) As Long

Declare Function PmcaGetDeviceType _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSetPriority _
Lib "PmcaDll.dll" (ByVal Priority As Long) As Long

Declare Function PmcaCancel _
Lib "PmcaDll.dll" (ByVal id As Long) As Long

Declare Function PmcaGetSerialNumber _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaSetDate _
Lib "PmcaDll.dll" (ByVal SetDate As String) As Long

Declare Function PmcaSetTime _
Lib "PmcaDll.dll" (ByVal SetTime As String) As Long

Declare Function PmcaSetBatteryType _
Lib "PmcaDll.dll" (ByVal PmcaBatteryType As Long) As Long

Declare Function PmcaGetBatteryType _
Lib "PmcaDll.dll" () As Long

Declare Function PmcaGetBatteryCondition _
Lib "PmcaDll.dll" () As Long

Private Declare Function PmcaGetBatteryCapacity _
Lib "PmcaDll.dll" () As Long

Private Declare Function PmcaSetAbsolutePeakMode _
Lib "PmcaDll.dll" () As Long

Private Declare Function PmcaSetFirstPeakMode _
Lib "PmcaDll.dll" () As Long



